# Game Balance Options Mod

A BepInEx Bleeding Edge (v667) plugin for Shadows of Doubt

<!-- TODO: update pics -->
![ConfigManager](https://user-images.githubusercontent.com/132955933/236958501-aea6c148-444c-47e2-989c-7b8f70070beb.png)
<!-- ![ChangedPrices](https://user-images.githubusercontent.com/132955933/236958509-bcb44e17-9a45-44a3-beff-28da73a6a5f7.png) -->

## What is it?

This mod adds a set of configuration options focused on game balance that players can use to customize their Shadows of Doubt experience. The options can optionally be changed in-game using [BepInExConfigManager (Thunderstore / BepInEx Bleeding Edge)](https://bitbucket.org/shadows-of-doubt-mods/bepinexconfigmanagerbie667/src/main/) (see picture above). The game will update when options are changed. I've also gone to great lengths to try and keep the mod from making any changes to your savegame when you save with either the menu or Quick Save.

## Features

Responds to configuration file changes while in game if you have BepInExConfigManager installed. You can turn the plugin on or off at any time, removing any effects the plugin had on your savegame.

  - Set the Government Database App to only show up on Enforcer (i.e. City Hall reception) crunchers, instead of on both Enforcer and Hospital Ward crunchers
  - Toggle whether using a cruncher when logged in as someone else will constitute an illegal action. No more sitting on people's laps and using their computer in front of them! You will find that this option along with the previous one does a good job of nerfing Government Databases.
  - Set passcode notes to not be readable. Forces more Codebreaker use.
  - Toggle whether light-bulbs can be unscrewed.
  - ~~Toggle whether to overwrite item sell and buy prices for items and place-ables as specified in a CSV file. A template is saved post-game-start to the GameBalanceOptions configuration folder. An example is also included (see picture above).~~ This setting now adjusts sell and buy prices globally using two equations with adjustable parameters.
  - Trigger the murder process immediately after solving a murder case. There will still be a wait time associated with setup and discovery. Has no effect if Procedural Murders are turned off in Sandbox mode.
  - Toggle whether to pause the game automatically a few moments after a murder is reported. Works well with the previous option when all you want is to get onto the next murder case!
  - **NEW:** Toggle whether murderers will attack you if you stand in close proximity to them for too long. This setting will make it a bit more dangerous to get information from a suspect fleeing the crime scene.
  - **NEW:** Toggle whether to hide alarm indicators and citizen outlines when they are alerted (based on some suggestions made in the SoD discord).
  - **NEW:** Toggle whether being knocked out will result in you failing all of your cases.

## Installation

1. Download [BepInEx (build artifact 667 or greater)](https://builds.bepinex.dev/projects/bepinex_be)
2. Extract into the same folder as "Shadows of Doubt.exe".
3. Run the game, load the main menu and quit.
4. Download the mod from the Releases page. Unzip and place the files in your own "Shadows of Doubt\BepInEx\..." directories, matching the structure in the zip file.
5. Run the game. You will see a message that the mod has been enabled when you load into a new game or previous savegame.

### Dependency: BepInExConfigManager by sinai

Optionally (but highly recommended): Install [BepInExConfigManager (Thunderstore / BepInEx Bleeding Edge)](https://bitbucket.org/shadows-of-doubt-mods/bepinexconfigmanagerbie667/src/main/).

- Download the zip file and place the contents into your "Shadows of Doubt\BepInEx\patchers" and "Shadows of Doubt\BepInEx\plugins\BepInExConfigManager" folders
- I highly recommend that you change the keybinding for opening the menu to something besides **F5**, unless you have already rebound Quick Save in your game to something besides **F5** (I prefer **ESC** or **F** since they already pause the game).

(Shadows of Doubt\BepInEx\config\com.sinai.BepInExConfigManager.cfg)
```
## Settings file was created by plugin BepInExConfigManager v1.3.0
## Plugin GUID: com.sinai.BepInExConfigManager

[Settings]

## The toggle for the Config Manager menu
# Setting type: KeyCode
# Default value: F5
# Acceptable values:
Main Menu Toggle = (...)
```

You can also change the keybinding in game, under the BepInExConfigManager tab.

![MenuKeybind](https://user-images.githubusercontent.com/132955933/236958517-616c2c31-4f70-4c45-8395-012e2fc42ca9.png)
